## python-django 1.4.22

=== extras/Makefile ===
all: sdist

sdist:
	python setup.py sdist

.PHONY : sdist

## python-django 1.2.1

=== debian/changelog ===
python-django (1.2.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Chris Lamb <lamby@debian.org>  Mon, 24 May 2010 22:44:32 +0100

python-django (1.2-1) unstable; urgency=low

  * New upstream stable release.

 -- Chris Lamb <lamby@debian.org>  Fri, 21 May 2010 07:52:55 +0100

python-django (1.2~rc1-1) experimental; urgency=low

  * New upstream release candidate.
  * Remove "02-embedded_code_copies.diff" - not needed anymore.
  * Refresh "01_disable_url_verify_regression_tests.diff".
  * Refresh "04_hyphen-manpage.diff".
  * Temporarily disable test runner due to failing date-related tests.

 -- Chris Lamb <lamby@debian.org>  Thu, 06 May 2010 10:25:10 +0100

python-django (1.2~beta1-1) experimental; urgency=low

  * New upstream development release.
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards-Version to 3.8.4.
  * Remove "0.96 -> 1.x" NEWS entry.
  * jQuery added to admin system upstream:
    - Add libjs-jquery to python-django's Recommends
    - Use symlinks so we use the version from libjs-query over an embedded code
      copy.

 -- Chris Lamb <lamby@debian.org>  Tue, 09 Feb 2010 13:47:34 +0000

python-django (1.2~alpha1-1) experimental; urgency=low

  * New upstream development release:

     This is the first in a series of preview/development releases leading up
     to the eventual release of Django 1.2, currently scheduled to take place
     in March 2010. 

     <http://docs.djangoproject.com/en/dev//releases/1.2-alpha-1/>

  * Update "01_disable_url_verify_regression_tests.diff" - tests now use the
    unittest module instead of doctests.
  * Update "02-embedded_code_copies.diff".
  * Remove "05_ftbfs_in_november.diff" - applied upstream.
  * Remove "06_python_2.6.3_regression.diff" - applied upstream.
  * Update dh_auto_test - database engine is set differently in 1.2.
  * Remove useless ._DS_Store files.

 -- Chris Lamb <lamby@debian.org>  Wed, 06 Jan 2010 14:34:37 +0000

python-django (1.1.1-2) unstable; urgency=low

  * Remove embedded "decimal" code copy and use system version instead. The
    "doctest" code copy cannot be removed as parts of Django depend on modified
    behaviour. (Closes: #555419)
  * Fix FTBFS in November by applying patch from upstream bug #12125.
    (Closes: #555931)
  * Fix FTBFS under Python 2.6.3 by applying patch from upstream bug #11993.
    (Closes: #555969)

 -- Chris Lamb <lamby@debian.org>  Tue, 01 Dec 2009 23:46:22 +0000

python-django (1.1.1-1) unstable; urgency=high

  * New upstream security release - fixes pathological regular expression
    backtracking performance in URL and email fields which can be used as part
    of a denial of service attack.
  * Set Maintainer: to myself with thanks to Brett Parker.
  * Bump versioned build dependency on quilt to help backporters.
    (Closes: #547955)

 -- Chris Lamb <lamby@debian.org>  Sat, 10 Oct 2009 10:17:52 +0100

python-django (1.1-4) unstable; urgency=low

  * Sourceful upload to drop dependency on Python 2.4.

 -- Chris Lamb <lamby@debian.org>  Mon, 24 Aug 2009 08:16:11 +0100

python-django (1.1-3) unstable; urgency=low

  * Disable regression tests that require an internet connection. Patch by
    Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>. (Closes: #542996)
  * Bump Standards-Version to 3.8.3.

 -- Chris Lamb <lamby@debian.org>  Sun, 23 Aug 2009 18:13:18 +0100

python-django (1.1-2) unstable; urgency=low

  * Run testsuite on build.
  * Use "--with quilt" over specifying $(QUILT_STAMPFN)/unpatch dependencies.
  * Override clean target correctly.

 -- Chris Lamb <lamby@debian.org>  Fri, 14 Aug 2009 08:06:29 +0100

python-django (1.1-1) unstable; urgency=low

  * New upstream release.
  * Merge from experimental:
    - Ship FastCGI initscript and /etc/default file in python-django's examples
      directory (Closes: #538863)
    - Drop "05_10539-sphinx06-compatibility.diff"; it has been applied
      upstream.
    - Bump Standards-Version to 3.8.2.

 -- Chris Lamb <lamby@debian.org>  Wed, 29 Jul 2009 11:26:28 +0200

python-django (1.0.2-7) unstable; urgency=low

  * Fix compatibility with Python 2.6 and Python transitions in general.
    Thanks to Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>.

 -- Chris Lamb <lamby@debian.org>  Sat, 16 May 2009 00:09:47 +0100

python-django (1.0.2-6) unstable; urgency=low

  * Backport patch from <http://code.djangoproject.com/ticket/10539> to fix
    FTBFS when using python-sphinx >= 0.6. (Closes: #527492)

 -- Chris Lamb <lamby@debian.org>  Sun, 10 May 2009 22:11:09 +0100

python-django (1.0.2-5) unstable; urgency=low

  * Fix issue where newly created projects do not have their manage.py file
    executable.

 -- Chris Lamb <lamby@debian.org>  Thu, 26 Mar 2009 23:42:14 +0000

python-django (1.0.2-4) unstable; urgency=low

  * Programatically replace most references to "django-admin.py" with
    "django-admin" in the generated documentation. (Closes: #519937)
  * Bump Standards-Version to 3.8.1; no changes.

 -- Chris Lamb <lamby@debian.org>  Tue, 24 Mar 2009 00:50:26 +0000

python-django (1.0.2-3) unstable; urgency=low

  * Split documentation into a separate python-django-doc package due to size
    (approximately 6Mb).

 -- Chris Lamb <lamby@debian.org>  Tue, 10 Mar 2009 21:13:57 +0000

python-django (1.0.2-2) unstable; urgency=low

  * Don't rely on the internal layout of python-support. (Closes: #517052)
  * Move to debhelper-based packaging for operational clarity:
    - Remove bashisms from binary-post-install.
    - Use quilt instead of simple-patchsys.mk and adjust existing patches so
      that we can apply with -p1 for the "quilt" source package type.
  * Adjust Build-Depends:
    - Bump debhelper requirement 7.0.50 for override_* feature.
    - Drop cdbs, python-dev and python-setuptools requirement.
    - Just Build-Depend on `python', not `python-dev'.
    - Drop versions on Build-Depends where they are satisfied in current
      oldstable (ie. etch).
  * debian/control:


=== debian/control ===
Source: python-django
Section: python
Priority: optional
Maintainer: Chris Lamb <lamby@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, Raphaël Hertzog <hertzog@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.0.50), python-support, quilt (>= 0.46-7~), python (>= 2.5) | python-sqlite
Build-Depends-Indep: python-sphinx, libjs-jquery
Homepage: http://www.djangoproject.com/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-django/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-django/trunk/

Package: python-django
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: libjs-jquery
Suggests: python-psycopg2, python-psycopg, python-mysqldb, python-flup, python-sqlite, python-yaml
Description: High-level Python web development framework
 Django is a high-level web application framework that loosely follows the
 model-view-controller design pattern.
 .
 Python's equivalent to Ruby on Rails, Django lets you build complex
 data-driven websites quickly and easily - Django focuses on automating as much
 as possible and adhering to the "Don't Repeat Yourself" (DRY) principle.
 .
 Django additionally emphasizes reusability and "pluggability" of components;
 many generic third-party "applications" are available to enhance projects or
 to simply to reduce development time even further.
 .
 Notable features include:
  * An object-relational mapper (ORM)
  * Automatic admin interface
  * Elegant URL dispatcher
  * Form serialization and validation system
  * Templating system
  * Lightweight, standalone web server for development and testing
  * Internationalization support
  * Testing framework and client

Package: python-django-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libjs-jquery
Description: High-level Python web development framework (documentation)
 Django is a high-level web application framework that loosely follows the
 model-view-controller design pattern.
 .
 Python's equivalent to Ruby on Rails, Django lets you build complex
 data-driven websites quickly and easily - Django focuses on automating as much
 as possible and adhering to the "Don't Repeat Yourself" (DRY) principle.
 .
 Django additionally emphasizes reusability and "pluggability" of components;
 many generic third-party "applications" are available to enhance projects or
 to simply to reduce development time even further.
 .
 This package contains the HTML documentation and example projects.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/python/python.mk

PREFIX = debian/python-django
DJANGO_DIR = $(PREFIX)/$(call py_libdir_sh,`pyversions -d`)/django

%:
	dh --with quilt $@

override_dh_auto_clean:
	rm -rf docs.debian testproject
	find -name "*.DS_Store" -delete
	dh_auto_clean

override_dh_auto_build:
	dh_auto_build
	
	# Build the HTML documentation.
	# We programmatically replace most instances of django-admin.py with
	# django-admin and remove the source files from the target _build.
	cp -r docs docs.debian
	find docs.debian -type f -print0 | xargs -0r perl -pi -e 's|(?<!/)(django-admin)\.py|$$1|'
	make -C docs.debian html
	rm -rf docs.debian/_build/html/_sources/

override_dh_auto_test_DISABLED:
	PYTHONPATH=. django/bin/django-admin.py startproject testproject
	cat debian/test_settings.py >> testproject/settings.py
	PYTHONPATH=. tests/runtests.py --settings=testproject.settings --verbosity=2

override_dh_install:
	dh_install
	
	# Use default shebang
	perl -pi -e 's|^#!/usr/bin/env python.*|#!/usr/bin/python|' $(DJANGO_DIR)/conf/project_template/manage.py
	chmod +x $(DJANGO_DIR)/conf/project_template/manage.py
	
	# Move scripts to /usr/lib/python-django
	mkdir -p $(PREFIX)/usr/lib/python-django
	mv $(DJANGO_DIR)/bin $(PREFIX)/usr/lib/python-django
	
	# Fix permissions
	chmod 644 $(PREFIX)/etc/bash_completion.d/django_bash_completion
	find $(PREFIX)/usr/lib/python-django/bin/ -name '*.py' -not -name '__init__.py' -print0 | xargs -0r chmod 755
	
	# Rename django-admin.py to django-admin
	mv $(PREFIX)/usr/bin/django-admin.py $(PREFIX)/usr/bin/django-admin
	
	# Remove embedded Javascript libraries
	for FILENAME in jquery.js jquery.min.js; do \
		find $(PREFIX) -name $$FILENAME -exec \
			ln -sf /usr/share/javascript/jquery/$$FILENAME {} \;; \
	done

override_dh_installdocs:
	dh_installdocs
	# Remove embedded copy of libjs-jquery
	cd debian/python-django-doc/usr/share/doc/python-django-doc/html/_static \
		&& rm jquery.js \
		&& ln -s ../../../../javascript/jquery/jquery.js .

override_dh_compress:
	dh_compress -X.js

## python-django 1.2.3

=== debian/changelog ===
python-django (1.2.3-3+squeeze10) squeeze-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2014-1418.patch patch.
    CVE-2014-1418: Caches may be allowed to store and serve private data.
  * Add CVE-2014-3730.patch patch.
    CVE-2014-3730: Malformed URLs from user input incorrectly validated.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 18 May 2014 11:23:21 +0200

python-django (1.2.3-3+squeeze9) squeeze-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add CVE-2014-0472.patch patch.
    CVE-2014-0472: Unexpected code execution using ``reverse()``
  * Add CVE-2014-0472-regression.patch patch.
    Fix regression introduced by the original fix for CVE-2014-0472.
    Restored the ability to reverse views created using functools.partial.
  * Add CVE-2014-0473.patch patch.
    CVE-2014-0473: Caching of anonymous pages could reveal CSRF token.
  * Add CVE-2014-0474.patch patch.
    CVE-2014-0474: MySQL typecasting could result in unexpected matches.

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 12 May 2014 21:42:47 +0200

python-django (1.2.3-3+squeeze8) oldstable-security; urgency=high

  * Stable security upload:
    https://www.djangoproject.com/weblog/2013/sep/15/security/
    - Denial-of-service via large passwords. CVE-2013-1443
    Closes: #723043

 -- Luke Faraone <lfaraone@debian.org>  Sun, 15 Sep 2013 15:57:34 -0400

python-django (1.2.3-3+squeeze7) oldstable-security; urgency=high

  * Stable security upload:
    https://www.djangoproject.com/weblog/2013/sep/
    - Directory traversal with ``ssi`` template tag. CVE-2013-431

 -- Luke Faraone <lfaraone@debian.org>  Mon, 09 Sep 2013 20:22:57 -0800

python-django (1.2.3-3+squeeze6) oldstable-security; urgency=high

  * Stable security upload:
    https://www.djangoproject.com/weblog/2013/aug/13/security-releases-issued/
    - Possible cross-site scripting via django.utils.http.is_safe_url
  * Update uploaders field.

 -- Luke Faraone <lfaraone@debian.org>  Tue, 13 Aug 2013 13:25:29 -0400

python-django (1.2.3-3+squeeze5) stable-security; urgency=high

  * Stable security upload:
    https://www.djangoproject.com/weblog/2013/feb/19/security/
    https://www.djangoproject.com/weblog/2012/dec/10/security/
    Fixes mulptiple security issues:
    - Further fixes for Host header poisoning. CVE-2012-4520
    - XML attacks via entity expansion. CVE-2013-1665
    - Data leakage via admin history log. CVE-2013-0305
    - Formset denial-of-service. CVE-2013-0306
    - Redirect poisoning.
  * Backport all the upstream security patches:
    - debian/patches/20_fix_get_host.diff
    - debian/patches/21_fix_redirect_poisoning.diff
    - debian/patches/22_add_allowed_hosts.diff
    - debian/patches/23_restrict_xml_deserializer.diff
    - debian/patches/24_check_perms_admin_history_view.diff
    - debian/patches/25_limit_number_of_forms_in_formset.diff
    Closes: #701186, #696535

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 24 Feb 2013 16:08:14 +0100

python-django (1.2.3-3+squeeze4) stable-security; urgency=low

  * Stable security upload:
    https://www.djangoproject.com/weblog/2012/oct/17/security/
    Fixes: CVE-2012-4520
  * Add the upstream patch:
    - debian/patches/19_fix_host_header_poisoning.diff
    Closes: #691145

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 22 Oct 2012 10:19:12 +0200

python-django (1.2.3-3+squeeze3) stable-security; urgency=high

  * Stable security upload:
    https://www.djangoproject.com/weblog/2012/jul/30/security-releases-issued/
    Fixes: CVE-2012-3442 CVE-2012-3443 CVE-2012-3444
  * Apply/backport the 3 security patches:
    - debian/patches/16_fix_cross_site_scripting_in_authentication.diff
    - debian/patches/17_fix_dos_in_image_validation.diff
    - debian/patches/18_fix_dos_via_get_image_dimensions.diff
    Closes: #683364

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 02 Aug 2012 11:05:53 +0200

python-django (1.2.3-3+squeeze2) stable-security; urgency=low

  * Stable security upload:
    https://www.djangoproject.com/weblog/2011/sep/09/security-releases-issued/
  * Apply/backport the 3 security patches:
    - debian/patches/13_fix_safety_issue_with_session_data.diff
    - debian/patches/14_fix_dos_with_urlfield.diff
    - debian/patches/15_fix_spoofing_issue_with_x_forwarded_host.diff
    Closes: #641405

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 06 Oct 2011 12:20:30 +0200

python-django (1.2.3-3+squeeze1) stable-security; urgency=high

  * Stable security upload:
    http://www.djangoproject.com/weblog/2011/feb/08/security/
  * Apply/backport the 3 security patches:
    - debian/patches/10_fix_csrf_ajax.diff
    - debian/patches/11_fix_admin_file_widget.diff
    - debian/patches/12_fix_file_session_backend.diff
  * Re-add dropped test for 09_fix_dos_password_reset.diff. Thanks to
    Jamie Strandboge <jamie@ubuntu.com>. Closes: #610447

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 12 Feb 2011 09:17:26 +0100

python-django (1.2.3-3) testing; urgency=high

  * Squeeze upload with security fixes only:
    http://www.djangoproject.com/weblog/2010/dec/22/security/
  * Add patches 08_fix_info_leakage.diff and 09_fix_dos_password_reset.diff
    taken from upstream SVN repository. They did not apply cleanly, I had to
    drop a test.

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 01 Jan 2011 21:05:27 +0100

python-django (1.2.3-2) unstable; urgency=low

  * Team upload.
  * Disable model tests that require an internet connection.
    Closes: #601070
  * Include python.mk conditionally as explained in its header.
    Helps backports to Lenny which has no python.mk.
    Closes: #601608

 -- Evgeni Golov <evgeni@debian.org>  Thu, 28 Oct 2010 12:37:15 +0200

python-django (1.2.3-1) unstable; urgency=low

  [ Krzysztof Klimonda ]
  * New upstream release. Closes: #596893 LP: #636482
  * Fixes both a XSS vulnerability introduced in 1.2 series and
    the regressions caused by 1.2.2 release. Closes: #596205
  * debian/control:


=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, Raphaël Hertzog <hertzog@debian.org>
-Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 7.0.50), python-support, quilt (>= 0.46-7~), python (>= 2.5) | python-sqlite
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, Raphaël Hertzog <hertzog@debian.org>, Luke Faraone <lfaraone@debian.org>
+Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50), python-support, python (>= 2.5) | python-sqlite, locales-all | language-pack-en-base
 Build-Depends-Indep: python-sphinx, libjs-jquery
 Homepage: http://www.djangoproject.com/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-django/trunk/

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,26 @@
 #!/usr/bin/make -f
 
-include /usr/share/python/python.mk
+-include /usr/share/python/python.mk
+ifeq (,$(py_sitename))
+  py_sitename = site-packages
+  py_libdir = /usr/lib/python$(subst python,,$(1))/site-packages
+  py_sitename_sh = $(py_sitename)
+  py_libdir_sh = $(py_libdir)
+endif
+
 
 PREFIX = debian/python-django
 DJANGO_DIR = $(PREFIX)/$(call py_libdir_sh,`pyversions -d`)/django
 
+# FIXME: if the build is run while non-default python version are
+# available, the build process will install files in
+# /usr/lib/pyshared/pythonX.Y while we don't need them
+
 %:
-	dh --with quilt $@
+	dh $@
 
 override_dh_auto_clean:
-	rm -rf docs.debian testproject
+	rm -rf docs.debian tests/__init__.py
 	find -name "*.DS_Store" -delete
 	dh_auto_clean
 
@@ -24,10 +35,9 @@
 	make -C docs.debian html
 	rm -rf docs.debian/_build/html/_sources/
 
-override_dh_auto_test_DISABLED:
-	PYTHONPATH=. django/bin/django-admin.py startproject testproject
-	cat debian/test_settings.py >> testproject/settings.py
-	PYTHONPATH=. tests/runtests.py --settings=testproject.settings --verbosity=2
+override_dh_auto_test:
+	touch tests/__init__.py
+	LC_ALL=en_US.utf8 PYTHONPATH=. tests/runtests.py --settings=tests.test_sqlite --verbosity=2
 
 override_dh_install:
 	dh_install

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/download\/(.*)\/tarball\//Django-$1.tar.gz/,uversionmangle=s/-(alpha|beta)-/~$1/ \
    http://www.djangoproject.com/download/ (.+)/tarball/

## python-django 1.2.5

=== debian/changelog ===
python-django (1.2.5-1ubuntu1) natty; urgency=low

  * Merge from Debian for security fixes (LP: #719031). Remaining changes:
    - debian/control: don't Build-Depends on locales-all, which doesn't exist
      in natty
  * Drop the following patches, now included upstream:
    - debian/patches/07_security_admin_infoleak.diff
    - debian/patches/08_security_pasword_reset_dos.diff

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 17 Feb 2011 13:34:07 -0600

python-django (1.2.5-1) unstable; urgency=low

  * New upstream release.
  * Do not compress objects.inv used by Sphinx generated documentation.
    Thanks to Michael Fladischer for the report. Closes: #608769 

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 12 Feb 2011 08:59:33 +0100

python-django (1.2.4-1) unstable; urgency=high

  * New bugfix-only upstream release. It includes security fixes.
    http://www.djangoproject.com/weblog/2010/dec/22/security/
  * Drop patches merged upstream:
    - debian/patches/05_fix_regression_tests.diff
    - debian/patches/06_fix_regression_tests.diff
  * Update 01_disable_url_verify_regression_tests.diff to cope with the
    updated regressions tests.
  * Update 03_manpage.diff and 04_hyphen-manpage.diff to cope with changes in
    the manual page.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 31 Dec 2010 11:40:28 +0100

python-django (1.2.3-1ubuntu0.2.11.04.1) natty; urgency=low

  * SECURITY UPDATE: information leak in admin interface
    - debian/patches/07_security_admin_infoleak.diff: validate querystring
      lookup arguments either specify only fields on the model being viewed,
      or cross relations which have been explicitly whitelisted.
    - CVE-2010-4534
  * SECURITY UPDATE:
    - debian/patches/08_security_pasword_reset_dos.diff: adjust
      base36_to_int() function in django.utils.http will now validate the
      length of its input; on input longer than 13 digits (sufficient to
      base36-encode any 64-bit integer), it will now raise ValueError.
      Additionally, the default URL patterns for django.contrib.auth will now
      enforce a maximum length on the relevant parameters.
    - CVE-2010-4535

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 03 Jan 2011 10:12:39 -0600

python-django (1.2.3-1ubuntu0.1) maverick-security; urgency=low

  * SECURITY UPDATE: XSS in CSRF protections. New upstream release
    - CVE-2010-3082
  * debian/patches/01_disable_url_verify_regression_tests.diff:
    - updated to disable another test that fails without internet connection
    - patch based on work by Kai Kasurinen and Krzysztof Klimonda
  * debian/control: don't Build-Depends on locales-all, which doesn't exist
    in maverick

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 12 Oct 2010 11:34:35 -0500

=== debian/rules ===
--- 
+++ 
@@ -71,4 +71,4 @@
 		&& ln -s ../../../../javascript/jquery/jquery.js .
 
 override_dh_compress:
-	dh_compress -X.js
+	dh_compress -X.js -Xobjects.inv

## python-django 1.3

=== debian/changelog ===
python-django (1.3-2ubuntu1) oneiric; urgency=low

  * 09_test_view_decorator_sleep.diff increases the sleep time to
    reduce race condition effects on build machines.
    https://code.djangoproject.com/ticket/16686  (LP: #829487)
  * Remove build-dep on locales-all which isn't in the Ubuntu archive.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 23 Aug 2011 17:57:46 -0400

python-django (1.3-2) unstable; urgency=low

  * Team upload.

  [ Chris Lamb ]
  * Don't remove "backup~" test file - upstream did ship it; we were just
    removing it with dh_clean.

  [ Piotr Ożarowski ]
  * Fix builds with non-default Python versions installed
  * Bump Standards-Version to 3.9.2 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 02 May 2011 22:23:37 +0200

python-django (1.3-1) unstable; urgency=low

  * New upstream release.
    - Update 01_disable_url_verify_regression_tests.diff.
    - Update 07_disable_url_verify_model_tests.diff.
    - Merge patch from Krzysztof Klimonda to disable more network access tests.
      (Closes: #598674)
  * Add workaround for missing "backup~" file in release tarball. See
    <http://code.djangoproject.com/ticket/15677>.

 -- Chris Lamb <lamby@debian.org>  Thu, 24 Mar 2011 15:04:53 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Chris Lamb <lamby@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, Raphaël Hertzog <hertzog@debian.org>, Luke Faraone <lfaraone@debian.org>
-Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 7.0.50), python-support, python (>= 2.5) | python-sqlite, locales-all | language-pack-en-base
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, Raphaël Hertzog <hertzog@debian.org>
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50), python-support, python (>= 2.5) | python-sqlite, language-pack-en-base
 Build-Depends-Indep: python-sphinx, libjs-jquery
 Homepage: http://www.djangoproject.com/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-django/trunk/

=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,6 @@
 
 
 PREFIX = debian/python-django
-DJANGO_DIR = $(PREFIX)/$(call py_libdir_sh,`pyversions -d`)/django
-
-# FIXME: if the build is run while non-default python version are
-# available, the build process will install files in
-# /usr/lib/pyshared/pythonX.Y while we don't need them
 
 %:
 	dh $@
@@ -39,17 +34,28 @@
 	touch tests/__init__.py
 	LC_ALL=en_US.utf8 PYTHONPATH=. tests/runtests.py --settings=tests.test_sqlite --verbosity=2
 
+override_dh_clean:
+	# backup~ is used in tests
+	dh_clean -Xbackup~
+
 override_dh_install:
 	dh_install
 	
-	# Use default shebang
-	perl -pi -e 's|^#!/usr/bin/env python.*|#!/usr/bin/python|' $(DJANGO_DIR)/conf/project_template/manage.py
-	chmod +x $(DJANGO_DIR)/conf/project_template/manage.py
-	
-	# Move scripts to /usr/lib/python-django
-	mkdir -p $(PREFIX)/usr/lib/python-django
-	mv $(DJANGO_DIR)/bin $(PREFIX)/usr/lib/python-django
-	
+	# Use default shebang and m move scripts to /usr/lib/python-django
+	set -e; for ver in $(shell pyversions -vr); do \
+		[ -f /usr/bix/python$$ver ] || continue;\
+		FILE=$(PREFIX)/$(call py_libdir_sh,$$ver)/django/conf/project_template/manage.py; \
+		if [ -f $$FILE ]; then\
+			perl -pi -e 's|^#!/usr/bin/env python.*|#!/usr/bin/python|' $$FILE;\
+			chmod +x $$FILE;\
+		fi;\
+		if [ -d $(PREFIX)/usr/lib/python-django ]; then\
+			rm -rf $(PREFIX)/$(call py_libdir_sh,$$ver)/django/bin;\
+		else\
+			mkdir -p $(PREFIX)/usr/lib/python-django;\
+			mv $(PREFIX)/$(call py_libdir_sh,$$ver)/django/bin $(PREFIX)/usr/lib/python-django;\
+		fi;\
+	done
 	# Fix permissions
 	chmod 644 $(PREFIX)/etc/bash_completion.d/django_bash_completion
 	find $(PREFIX)/usr/lib/python-django/bin/ -name '*.py' -not -name '__init__.py' -print0 | xargs -0r chmod 755
@@ -58,7 +64,7 @@
 	mv $(PREFIX)/usr/bin/django-admin.py $(PREFIX)/usr/bin/django-admin
 	
 	# Remove embedded Javascript libraries
-	for FILENAME in jquery.js jquery.min.js; do \
+	set -e; for FILENAME in jquery.js jquery.min.js; do \
 		find $(PREFIX) -name $$FILENAME -exec \
 			ln -sf /usr/share/javascript/jquery/$$FILENAME {} \;; \
 	done

## python-django 1.3.1

=== debian/changelog ===
python-django (1.3.1-4ubuntu1.22) precise-security; urgency=medium

  * SECURITY UPDATE: user with hardcoded password created when running
    tests on Oracle
    - debian/patches/CVE-2016-9013.patch: remove hardcoded password in
      django/db/backends/oracle/creation.py, added note to
      docs/ref/settings.txt.
    - CVE-2016-9013
  * SECURITY UPDATE: DNS rebinding vulnerability when DEBUG=True
    - debian/patches/CVE-2016-9014.patch: properly check ALLOWED_HOSTS in
      django/http/__init__.py, updated docs/ref/settings.txt, added test to
      tests/regressiontests/requests/tests.py.
    - CVE-2016-9014

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 31 Oct 2016 10:31:12 -0400

python-django (1.3.1-4ubuntu1.21) precise-security; urgency=medium

  * SECURITY UPDATE: CSRF protection bypass on a site with Google Analytics
    - debian/patches/CVE-2016-7401.patch: simplify cookie parsing in
      django/http/__init__.py, add tests to
      tests/regressiontests/httpwrappers/tests.py,
      tests/regressiontests/requests/tests.py.
    - CVE-2016-7401

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 26 Sep 2016 07:45:02 -0400

python-django (1.3.1-4ubuntu1.20) precise-security; urgency=medium

  * SECURITY UPDATE: malicious redirect and possible XSS attack via
    user-supplied redirect URLs containing basic auth
    - debian/patches/CVE-2016-2512.patch: prevent spoofing in
      django/utils/http.py, added test to
      django/contrib/auth/tests/views.py.
    - CVE-2016-2512

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 25 Feb 2016 15:29:31 -0500

python-django (1.3.1-4ubuntu1.19) precise-security; urgency=medium

  * SECURITY UPDATE: Settings leak possibility in date template filter
    - debian/patches/CVE-2015-8213.patch: check format type in
      django/utils/formats.py, added test to
      tests/regressiontests/i18n/tests.py.
    - CVE-2015-8213

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 18 Nov 2015 15:19:37 -0500

python-django (1.3.1-4ubuntu1.18) precise-security; urgency=medium

  * SECURITY UPDATE: denial of service by filling session store
    - debian/patches/CVE-2015-596x.patch: don't create empty sessions in
      django/contrib/sessions/backends/base.py,
      django/contrib/sessions/backends/cached_db.py,
      django/contrib/sessions/middleware.py, added tests to
      django/contrib/sessions/tests.py, updated docs in
      docs/topics/http/sessions.txt. 
    - CVE-2015-5963
    - CVE-2015-5964

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 13 Aug 2015 12:00:17 -0400

python-django (1.3.1-4ubuntu1.17) precise-security; urgency=medium

  * SECURITY UPDATE: denial of service via empty session records
    - debian/patches/no_implicit_session_key.patch: don't perform implicit
      initialization of the session key on the first access in
      django/contrib/sessions/backends/base.py,
      django/contrib/sessions/backends/cache.py,
      django/contrib/sessions/backends/cached_db.py,
      django/contrib/sessions/backends/db.py,
      django/contrib/sessions/backends/file.py,
      adjusted tests in django/contrib/sessions/tests.py,
      tests/regressiontests/test_client_regress/session.py.
    - debian/patches/CVE-2015-5143.patch: avoid creating a session record
      when loading the session in
      django/contrib/sessions/backends/cache.py,
      django/contrib/sessions/backends/cached_db.py,
      django/contrib/sessions/backends/db.py,
      django/contrib/sessions/backends/file.py,
      added test to django/contrib/sessions/tests.py.
    - CVE-2015-5143
  * SECURITY UPDATE: header injection via newlines
    - debian/patches/CVE-2015-5144.patch: check for newlines in
      django/core/validators.py, added tests to
      tests/modeltests/validators/tests.py.
    - CVE-2015-5144

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 02 Jul 2015 11:52:43 -0400

python-django (1.3.1-4ubuntu1.16) precise-security; urgency=medium

  * SECURITY UPDATE: XSS attack via user-supplied redirect URLs
    - debian/patches/CVE-2015-2317.patch: reject URLs that start with
      control characters in django/utils/http.py, added test to
      tests/regressiontests/utils/http.py.
    - CVE-2015-2317

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Mar 2015 10:42:41 -0400

python-django (1.3.1-4ubuntu1.15) precise-security; urgency=medium

  * SECURITY REGRESSION: static serve failure (LP: #1417274)
    - debian/patches/CVE-2015-0221-regression.patch: allow GZipMiddleware
      to work with streaming responses in django/middleware/gzip.py,
      django/utils/text.py, django/http/__init__.py, added tests to
      tests/regressiontests/middleware/tests.py.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 04 Feb 2015 09:03:07 -0500

python-django (1.3.1-4ubuntu1.13) precise-security; urgency=medium

  * SECURITY UPDATE: WSGI header spoofing via underscore/dash conflation
    - debian/patches/CVE-2015-0219.patch: strip headers with underscores in
      django/core/servers/basehttp.py, added test to
      tests/regressiontests/servers/tests.py.
    - CVE-2015-0219
  * SECURITY UPDATE: Mitigated possible XSS attack via user-supplied
    redirect URLs
    - debian/patches/CVE-2015-0220.patch: filter url in
      django/utils/http.py, added test to
      tests/regressiontests/utils/http.py.
    - CVE-2015-0220
  * SECURITY UPDATE: Denial-of-service attack against
    django.views.static.serve
    - debian/patches/CVE-2015-0221.patch: limit large files in
      django/views/static.py, added test to
      tests/regressiontests/views/media/long-line.txt,
      tests/regressiontests/views/tests/static.py.
    - CVE-2015-0221

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 13 Jan 2015 07:55:08 -0500

python-django (1.3.1-4ubuntu1.12) precise-security; urgency=medium

  * SECURITY UPDATE: incorrect url validation in core.urlresolvers.reverse


=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>, Raphaël Hertzog <hertzog@debian.org>
 Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 7.0.50), python-support, python (>= 2.5) | python-sqlite, language-pack-en-base
-Build-Depends-Indep: python-sphinx, libjs-jquery
+Build-Depends: debhelper (>= 7.0.50), python (>= 2.6.6-3~), python-sphinx (>= 1.0.8), locales (>= 0)
+Build-Depends-Indep: libjs-jquery
 Homepage: http://www.djangoproject.com/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-django/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-django/trunk/
@@ -15,7 +15,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
 Recommends: libjs-jquery
-Suggests: python-psycopg2, python-psycopg, python-mysqldb, python-flup, python-sqlite, python-yaml
+Suggests: python-psycopg2, python-psycopg, python-mysqldb, python-flup, python-sqlite, python-yaml, geoip-database-contrib
 Description: High-level Python web development framework
  Django is a high-level web application framework that loosely follows the
  model-view-controller design pattern.
@@ -41,8 +41,7 @@
 Package: python-django-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
-Recommends: libjs-jquery
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: High-level Python web development framework (documentation)
  Django is a high-level web application framework that loosely follows the
  model-view-controller design pattern.

## python-django 1.3.1-1maemo1-m4

=== debian/changelog ===
python-django (1.3.1-1maemo1-m4) stable; urgency=low

  Django 1.3.1 Maemo1 (22/02/2012) :
   * 1st version for for Maemo 4 Diablo;
   * it takes 35 MB after install.


 -- Django Software Foundation <foundation@djangoproject.com>  Wed, 22 Feb 2012 19:24:15 +0000

=== debian/control ===
Source: python-django
Section: python
Priority: extra
Maintainer: Django Software Foundation <foundation@djangoproject.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: python-django
XB-Maemo-Display-Name: DJango
Architecture: all
Depends: python2.5
Suggests: python-sqlite, django-doc
Description: High-level Python web development framework.
 DJango is a high-level Python Web framework that encourages rapid 
 development and clean, pragmatic design.
 Developed by a fast-moving online-news operation, Django was designed 
 to handle two challenges: the intensive deadlines of a newsroom and the 
 stringent requirements of the experienced Web developers who wrote it. 
 It lets you build high-performing, elegant Web applications quickly.
 Django focuses on automating as much as possible and adhering to the DRY 
 (Dont Repeat Yourself) principle.
XB-Maemo-Upgrade-Description: Django 1.3.1 Maemo1 (22/02/2012)
XSBC-Bugtracker: http://bugs.maemo.org/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/python-django" install
	mkdir -p "$(CURDIR)/debian/python-django"

	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/auth/locale/ja/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/auth/locale/ja/LC_MESSAGES/django.mo" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/auth/locale/ja/LC_MESSAGES/django.mo"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/auth/locale/ja/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/auth/locale/ja/LC_MESSAGES/django.po" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/auth/locale/ja/LC_MESSAGES/django.po"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/admindocs/locale/no/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/admindocs/locale/no/LC_MESSAGES/django.mo" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/admindocs/locale/no/LC_MESSAGES/django.mo"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/admindocs/locale/no/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/admindocs/locale/no/LC_MESSAGES/django.po" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/admindocs/locale/no/LC_MESSAGES/django.po"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/contenttypes/locale/pa/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/contenttypes/locale/pa/LC_MESSAGES/django.mo" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/contenttypes/locale/pa/LC_MESSAGES/django.mo"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/contenttypes/locale/pa/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/contenttypes/locale/pa/LC_MESSAGES/django.po" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/contenttypes/locale/pa/LC_MESSAGES/django.po"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/localflavor/cl/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/localflavor/cl/__init__.py" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/localflavor/cl/__init__.py"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/localflavor/cl/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/localflavor/cl/cl_regions.py" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/localflavor/cl/cl_regions.py"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/localflavor/cl/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/localflavor/cl/forms.py" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/localflavor/cl/forms.py"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/auth/locale/fa/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/auth/locale/fa/LC_MESSAGES/django.mo" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/auth/locale/fa/LC_MESSAGES/django.mo"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/auth/locale/fa/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/auth/locale/fa/LC_MESSAGES/django.po" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/auth/locale/fa/LC_MESSAGES/django.po"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/localflavor/ch/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/localflavor/ch/__init__.py" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/localflavor/ch/__init__.py"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/localflavor/ch/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/localflavor/ch/ch_states.py" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/localflavor/ch/ch_states.py"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/localflavor/ch/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/localflavor/ch/forms.py" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/localflavor/ch/forms.py"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/admin/locale/az/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/admin/locale/az/LC_MESSAGES/django.mo" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/admin/locale/az/LC_MESSAGES/django.mo"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/admin/locale/az/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/admin/locale/az/LC_MESSAGES/django.po" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/admin/locale/az/LC_MESSAGES/django.po"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/admin/locale/az/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/admin/locale/az/LC_MESSAGES/djangojs.mo" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/admin/locale/az/LC_MESSAGES/djangojs.mo"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/admin/locale/az/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/admin/locale/az/LC_MESSAGES/djangojs.po" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/admin/locale/az/LC_MESSAGES/djangojs.po"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/auth/handlers/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/auth/handlers/__init__.py" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/auth/handlers/__init__.py"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/auth/handlers/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/auth/handlers/modpython.py" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/auth/handlers/modpython.py"
	mkdir -p "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/formtools/locale/az/LC_MESSAGES/"
	cp -a "src/usr/lib/python2.5/site-packages/django/contrib/formtools/locale/az/LC_MESSAGES/django.mo" "$(CURDIR)/debian/python-django//usr/lib/python2.5/site-packages/django/contrib/formtools/locale/az/LC_MESSAGES/django.mo"

## python-django 1.3.1-2maemo2-m4

=== debian/changelog ===
python-django (1.3.1-2maemo2-m4) stable; urgency=low

  Django 1.3.1 Maemo2 (22/02/2012) :
   * 2nd version for for Maemo 4 Diablo;
   * fixes some package data.


 -- Django Software Foundation <foundation@djangoproject.com>  Wed, 22 Feb 2012 22:43:57 +0000

=== debian/control ===
Source: python-django
Section: python
Priority: extra
Maintainer: Django Software Foundation <foundation@djangoproject.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: python-django
XB-Maemo-Display-Name: Django
Architecture: all
Depends: python2.5
Suggests: python-sqlite
Description: High-level Python web development framework.
 Django is a high-level Python Web framework that encourages rapid 
 development and clean, pragmatic design.
 Developed by a fast-moving online-news operation, Django was designed 
 to handle two challenges: the intensive deadlines of a newsroom and the 
 stringent requirements of the experienced Web developers who wrote it. 
 It lets you build high-performing, elegant Web applications quickly.
 Django focuses on automating as much as possible and adhering to the DRY 
 (Don't Repeat Yourself) principle.
XB-Maemo-Upgrade-Description: Django 1.3.1 Maemo2 (22/02/2012)
XSBC-Bugtracker: http://bugs.maemo.org/
